Skip to main content

Registry Management

Manage your gateway registration, update information, and monitor discovery metrics.

Update Gateway Information

curl -X PATCH https://registry.betterdata.co/api/gateways/gw_123 \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Updated description",
    "logo_url": "https://yourstore.com/new-logo.png",
    "categories": ["beauty", "skincare"]
  }'

View Registration Status

curl -X GET https://registry.betterdata.co/api/gateways/gw_123 \
  -H "Authorization: Bearer YOUR_API_KEY"
Response:
{
  "id": "gw_123",
  "brand_name": "Your Brand",
  "domain": "yourstore.com",
  "endpoint": "https://gateway.betterdata.co/v1/your-gateway-id",
  "verified": true,
  "status": "active",
  "discovery_count": 1250,
  "last_discovered": "2024-01-15T14:30:00Z",
  "created_at": "2024-01-10T10:00:00Z",
  "updated_at": "2024-01-15T14:30:00Z"
}

Discovery Analytics

View discovery metrics:
  • Total discovery queries
  • Queries by AI provider
  • Most searched products
  • Geographic distribution

Deactivate Registration

curl -X POST https://registry.betterdata.co/api/gateways/gw_123/deactivate \
  -H "Authorization: Bearer YOUR_API_KEY"